
/**
 * SampleDateChooser_Abstract.java
 */

/**
 * Class:   abstract SampleDateChooser_Abstract
 */
abstract class SampleDateChooser_Abstract extends javax.swing.JFrame
   {
    /* Variables declaration - Frame */
    private javax.swing.JFrame _Frame;
    private javax.swing.JPanel _Panel;
    private jbc.beans.JbcDateTimeChooser _JbcDateChooser;
    private javax.swing.JLabel _Label;
    private javax.swing.JLabel _Label1;
    /* End of variables declaration - Frame */

    /**
     * Method: Constructor <br>
     * @param None
     * @return Instance of SampleDateChooser_Abstract
     */
    protected SampleDateChooser_Abstract()
       {
        super();
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: Constructor <br>
     * @param GraphicsConfiguration gc
     * @return Instance of SampleDateChooser_Abstract
     */
    protected SampleDateChooser_Abstract(java.awt.GraphicsConfiguration gc)
       {
        super(gc);
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: get_Frame <br>
     * Note  : This method is implemented for compatibility between
     *         the main component and the other components. <br>
     * @param None
     * @return Instance of javax.swing.JFrame
     */
    protected javax.swing.JFrame get_Frame()
       {
        return this;
       } /* End of Method: get_Frame */

    /**
     * Method: init_Frame <br>
     * @param Instance of javax.swing.JFrame
     * @return javax.swing.JFrame
     */
    protected javax.swing.JFrame init_Frame(javax.swing.JFrame self)
       {
        /* Bean Properties */
        self.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
        self.setName("Frame");
        self.setTitle("Sample DateChooser");
        /* sets Bounds */
        self.setBounds(71,57,313,373);
        /* Adds Child */
        self.getContentPane().add(get_Panel(),java.awt.BorderLayout.CENTER);
        return self;
       } /* End of Method: init_Frame */

    /**
     * Method: get_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel get_Panel()
       {
        if (_Panel == null)
           {
            _Panel = createInstance_Panel();
            init_Panel(_Panel);
           } /* End if */
        return _Panel;
       } /* End of Method: get_Panel */

    /**
     * Method: init_Panel <br>
     * @param Instance of javax.swing.JPanel
     * @return javax.swing.JPanel
     */
    protected javax.swing.JPanel init_Panel(javax.swing.JPanel self)
       {
        /* Bean Properties */
        self.setName("Panel");
        /* set Layout */
        self.setLayout(null);
        /* Adds Children */
        self.add(get_JbcDateChooser());
        self.add(get_Label());
        self.add(get_Label1());
        return self;
       } /* End of Method: init_Panel */

    /**
     * Method: createInstance_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel createInstance_Panel()
       {
        return new javax.swing.JPanel();
       } /* End of Method: createInstance_Panel */

    /**
     * Method: get_JbcDateChooser <br>
     * @param None
     * @return Instance of jbc.beans.JbcDateTimeChooser
     */
    protected jbc.beans.JbcDateTimeChooser get_JbcDateChooser()
       {
        if (_JbcDateChooser == null)
           {
            _JbcDateChooser = createInstance_JbcDateChooser();
            init_JbcDateChooser(_JbcDateChooser);
           } /* End if */
        return _JbcDateChooser;
       } /* End of Method: get_JbcDateChooser */

    /**
     * Method: init_JbcDateChooser <br>
     * @param Instance of jbc.beans.JbcDateTimeChooser
     * @return jbc.beans.JbcDateTimeChooser
     */
    protected jbc.beans.JbcDateTimeChooser init_JbcDateChooser(jbc.beans.JbcDateTimeChooser self)
       {
        /* Bean Properties */
        self.setChooserType(jbc.beans.JbcDateTimeChooser.CHOOSER_DATE);
        self.setName("JbcDateChooser");
        /* sets Bounds */
        self.setBounds(9,18,290,21);
        self.setPreferredSize(new java.awt.Dimension(290,21));
        /* Adds Listener(s) */
        self.addChangeListener(new JbcDateChooser_ChangeAdapter());
        return self;
       } /* End of Method: init_JbcDateChooser */

    /**
     * Method: createInstance_JbcDateChooser <br>
     * @param None
     * @return Instance of jbc.beans.JbcDateTimeChooser
     */
    protected jbc.beans.JbcDateTimeChooser createInstance_JbcDateChooser()
       {
        return new jbc.beans.JbcDateTimeChooser();
       } /* End of Method: createInstance_JbcDateChooser */

    /**
     * Method: JbcDateChooser_change_stateChanged <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This method is called when the target of the listener
     *         has changed its state.  <br>
     * {@link SampleDateChooser#JbcDateChooser_change_stateChanged
     * This abstract method is overloaded by the "SampleDateChooser.java" source code.} <br>
     * @param javax.swing.event.ChangeEvent evt
     * @return void
     * @see SampleDateChooser#JbcDateChooser_change_stateChanged
     * @see SampleDateChooser_Abstract.JbcDateChooser_ChangeAdapter
     */
    protected abstract void JbcDateChooser_change_stateChanged(javax.swing.event.ChangeEvent evt);
    /* This abstract method is overloaded by the "SampleDateChooser.java" source code. */

    /**
     * Class:   JbcDateChooser_ChangeAdapter <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This event occurs when state has changed in the event
     *         source.  <br>
     */
    protected class JbcDateChooser_ChangeAdapter implements javax.swing.event.ChangeListener
       {
        /**
         * Method: stateChanged <br>
         * Note  : This method is called when the target of the listener
         *         has changed its state.  <br>
         * @param javax.swing.event.ChangeEvent evt
         * @return void
         * @see #JbcDateChooser_change_stateChanged
         */
        public void stateChanged(javax.swing.event.ChangeEvent evt)
           {
            JbcDateChooser_change_stateChanged(evt);
           } /* End of Method: stateChanged */

       } /* End of Class: JbcDateChooser_ChangeAdapter */

    /**
     * Method: get_Label <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel get_Label()
       {
        if (_Label == null)
           {
            _Label = createInstance_Label();
            init_Label(_Label);
           } /* End if */
        return _Label;
       } /* End of Method: get_Label */

    /**
     * Method: init_Label <br>
     * @param Instance of javax.swing.JLabel
     * @return javax.swing.JLabel
     */
    protected javax.swing.JLabel init_Label(javax.swing.JLabel self)
       {
        /* Bean Properties */
        self.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        self.setName("Label");
        /* sets Bounds */
        self.setBounds(9,260,290,22);
        self.setPreferredSize(new java.awt.Dimension(290,22));
        return self;
       } /* End of Method: init_Label */

    /**
     * Method: createInstance_Label <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel createInstance_Label()
       {
        return new javax.swing.JLabel();
       } /* End of Method: createInstance_Label */

    /**
     * Method: get_Label1 <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel get_Label1()
       {
        if (_Label1 == null)
           {
            _Label1 = createInstance_Label1();
            init_Label1(_Label1);
           } /* End if */
        return _Label1;
       } /* End of Method: get_Label1 */

    /**
     * Method: init_Label1 <br>
     * @param Instance of javax.swing.JLabel
     * @return javax.swing.JLabel
     */
    protected javax.swing.JLabel init_Label1(javax.swing.JLabel self)
       {
        /* Bean Properties */
        self.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        self.setName("Label1");
        /* sets Bounds */
        self.setBounds(9,291,290,22);
        self.setPreferredSize(new java.awt.Dimension(290,22));
        return self;
       } /* End of Method: init_Label1 */

    /**
     * Method: createInstance_Label1 <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel createInstance_Label1()
       {
        return new javax.swing.JLabel();
       } /* End of Method: createInstance_Label1 */

    /**
     * Method: getImageIcon <br>
     * @param java.lang.String (imagePath)
     * @return javax.swing.ImageIcon
     */
    protected javax.swing.ImageIcon getImageIcon(java.lang.String imagePath)
       {
        try
           {
            javax.swing.ImageIcon imageIcon = new javax.swing.ImageIcon(getClass().getResource(imagePath));
            if (imageIcon != null)
               {
                return imageIcon;
               } /* End if */
           } /* End try */
        catch (java.lang.Throwable exc)
           {
           } /* End catch */
        java.net.URL url = java.lang.ClassLoader.getSystemResource(imagePath);
        if (url == null)
           {
            try
               {
                url = new java.net.URL(imagePath);
               } /* End try */
            catch (java.lang.Throwable exc)
               {
                generalHandleException(exc);
                return null;
               } /* End catch */
           } /* End if */
        return new javax.swing.ImageIcon(url);
       } /* End of Method: getImageIcon */

    /**
     * Method: generalHandleException <br>
     * {@link SampleDateChooser#generalHandleException
     * This primitive method is overloaded by the "SampleDateChooser.java" source code.} <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       { /* This primitive method is overloaded by the "SampleDateChooser.java" source code. */
       } /* End of Method: generalHandleException */

   } /* End of Class: SampleDateChooser_Abstract   */



