
/**
 * SampleMetallicToggleButton.java
 */
import java.lang.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * Class:   SampleMetallicToggleButton
 */
public class SampleMetallicToggleButton extends SampleMetallicToggleButton_Abstract
   {
    /**
     * Constructor: SampleMetallicToggleButton
     * @return instance of SampleMetallicToggleButton
     */
    public SampleMetallicToggleButton()
       {
        super();
       } /* End of Constructor: SampleMetallicToggleButton */

    /**
     * Method: generalHandleException <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       {
        exc.printStackTrace(System.err);
       } /* End of Method: generalHandleException */

    /**
     * Method: main <br>
     * Note: Called only if we're an application. <br>
     * @param java.lang.String[] args the command line arguments
     * @return void
     */
    public static void main(java.lang.String[] args)
       {
        try
           {
            /* Set native look and feel */
            javax.swing.UIManager.setLookAndFeel(javax.swing.UIManager.getSystemLookAndFeelClassName());

            /* Creates new MainObject */
            SampleMetallicToggleButton self = new SampleMetallicToggleButton();
            self.show();
           } /* End try */
        catch (java.lang.Throwable exc)
           {
            exc.printStackTrace(System.err);
           } /* End catch */
       } /* End of Method: main */

    /**
     * Method: JbcMetallicToggleButton_action_actionPerformed <br>
     * Adapter: ActionAdapter <br>
     * Interface: java.awt.event.ActionListener <br>
     * Note  : This method is called when an action occurs.  <br>
     * @param java.awt.event.ActionEvent evt
     * @return void
     */
    protected void JbcMetallicToggleButton_action_actionPerformed(java.awt.event.ActionEvent evt)
       {
         if (get_JbcMetallicToggleButton().isSelected())
             get_Label().setText("On");
         else
             get_Label().setText("Off");
       } /* End of Method: JbcMetallicToggleButton_action_actionPerformed */

   } /* End of Class: SampleMetallicToggleButton */



