
/**
 * SampleMetallicToggleButton_Abstract.java
 */

/**
 * Class:   abstract SampleMetallicToggleButton_Abstract
 */
abstract class SampleMetallicToggleButton_Abstract extends javax.swing.JFrame
   {
    /* Variables declaration - Frame */
    private javax.swing.JFrame _Frame;
    private javax.swing.JPanel _Panel;
    private jbc.beans.JbcMetallicToggleButton _JbcMetallicToggleButton;
    private javax.swing.JLabel _Label;
    /* End of variables declaration - Frame */

    /**
     * Method: Constructor <br>
     * @param None
     * @return Instance of SampleMetallicToggleButton_Abstract
     */
    protected SampleMetallicToggleButton_Abstract()
       {
        super();
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: Constructor <br>
     * @param GraphicsConfiguration gc
     * @return Instance of SampleMetallicToggleButton_Abstract
     */
    protected SampleMetallicToggleButton_Abstract(java.awt.GraphicsConfiguration gc)
       {
        super(gc);
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: get_Frame <br>
     * Note  : This method is implemented for compatibility between
     *         the main component and the other components. <br>
     * @param None
     * @return Instance of javax.swing.JFrame
     */
    protected javax.swing.JFrame get_Frame()
       {
        return this;
       } /* End of Method: get_Frame */

    /**
     * Method: init_Frame <br>
     * @param Instance of javax.swing.JFrame
     * @return javax.swing.JFrame
     */
    protected javax.swing.JFrame init_Frame(javax.swing.JFrame self)
       {
        /* sets Bounds */
        self.setBounds(100,100,250,180);
        /* Bean Properties */
        self.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
        self.setName("Frame");
        self.setTitle("Sample Metallic ToggleButton");
        /* Adds Child */
        self.getContentPane().add(get_Panel(),java.awt.BorderLayout.CENTER);
        return self;
       } /* End of Method: init_Frame */

    /**
     * Method: get_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel get_Panel()
       {
        if (_Panel == null)
           {
            _Panel = Panel_CreateInstance();
            init_Panel(_Panel);
           } /* End if */
        return _Panel;
       } /* End of Method: get_Panel */

    /**
     * Method: init_Panel <br>
     * @param Instance of javax.swing.JPanel
     * @return javax.swing.JPanel
     */
    protected javax.swing.JPanel init_Panel(javax.swing.JPanel self)
       {
        /* Bean Properties */
        self.setName("Panel");
        /* set Layout */
        self.setLayout(null);
        /* Adds Children */
        self.add(get_JbcMetallicToggleButton());
        self.add(get_Label());
        return self;
       } /* End of Method: init_Panel */

    /**
     * Method: Panel_CreateInstance <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel Panel_CreateInstance()
       {
        return new javax.swing.JPanel();
       } /* End of Method: Panel_CreateInstance */

    /**
     * Method: get_JbcMetallicToggleButton <br>
     * @param None
     * @return Instance of jbc.beans.JbcMetallicToggleButton
     */
    protected jbc.beans.JbcMetallicToggleButton get_JbcMetallicToggleButton()
       {
        if (_JbcMetallicToggleButton == null)
           {
            _JbcMetallicToggleButton = JbcMetallicToggleButton_CreateInstance();
            init_JbcMetallicToggleButton(_JbcMetallicToggleButton);
           } /* End if */
        return _JbcMetallicToggleButton;
       } /* End of Method: get_JbcMetallicToggleButton */

    /**
     * Method: init_JbcMetallicToggleButton <br>
     * @param Instance of jbc.beans.JbcMetallicToggleButton
     * @return jbc.beans.JbcMetallicToggleButton
     */
    protected jbc.beans.JbcMetallicToggleButton init_JbcMetallicToggleButton(jbc.beans.JbcMetallicToggleButton self)
       {
        /* sets Bounds */
        self.setBounds(87,66,64,32);
        self.setPreferredSize(new java.awt.Dimension(64,32));
        /* Bean Properties */
        self.setName("JbcMetallicToggleButton");
        self.setText("Toggle");
        /* Adds Listener(s) */
        self.addActionListener(new JbcMetallicToggleButton_ActionAdapter());
        return self;
       } /* End of Method: init_JbcMetallicToggleButton */

    /**
     * Method: JbcMetallicToggleButton_CreateInstance <br>
     * @param None
     * @return Instance of jbc.beans.JbcMetallicToggleButton
     */
    protected jbc.beans.JbcMetallicToggleButton JbcMetallicToggleButton_CreateInstance()
       {
        return new jbc.beans.JbcMetallicToggleButton();
       } /* End of Method: JbcMetallicToggleButton_CreateInstance */

    /**
     * Method: JbcMetallicToggleButton_action_actionPerformed <br>
     * Adapter: ActionAdapter <br>
     * Interface: java.awt.event.ActionListener <br>
     * Note  : This method is called when an action occurs.  <br>
     * {@link SampleMetallicToggleButton#JbcMetallicToggleButton_action_actionPerformed
     * This abstract method is overloaded by the "SampleMetallicToggleButton.java" source code.} <br>
     * @param java.awt.event.ActionEvent evt
     * @return void
     * @see SampleMetallicToggleButton#JbcMetallicToggleButton_action_actionPerformed
     * @see SampleMetallicToggleButton_Abstract.JbcMetallicToggleButton_ActionAdapter
     */
    protected abstract void JbcMetallicToggleButton_action_actionPerformed(java.awt.event.ActionEvent evt);
    /* This abstract method is overloaded by the "SampleMetallicToggleButton.java" source code. */

    /**
     * Class:   JbcMetallicToggleButton_ActionAdapter <br>
     * Adapter: ActionAdapter <br>
     * Interface: java.awt.event.ActionListener <br>
     * Note  : This event occurs when a component-defined action has
     *         been invoked.  <br>
     */
    protected class JbcMetallicToggleButton_ActionAdapter implements java.awt.event.ActionListener
       {
        /**
         * Method: actionPerformed <br>
         * Note  : This method is called when an action occurs.  <br>
         * @param java.awt.event.ActionEvent evt
         * @return void
         * @see #JbcMetallicToggleButton_action_actionPerformed
         */
        public void actionPerformed(java.awt.event.ActionEvent evt)
           {
            JbcMetallicToggleButton_action_actionPerformed(evt);
           } /* End of Method: actionPerformed */

       } /* End of Class: JbcMetallicToggleButton_ActionAdapter */

    /**
     * Method: get_Label <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel get_Label()
       {
        if (_Label == null)
           {
            _Label = Label_CreateInstance();
            init_Label(_Label);
           } /* End if */
        return _Label;
       } /* End of Method: get_Label */

    /**
     * Method: init_Label <br>
     * @param Instance of javax.swing.JLabel
     * @return javax.swing.JLabel
     */
    protected javax.swing.JLabel init_Label(javax.swing.JLabel self)
       {
        /* sets Bounds */
        self.setBounds(1,103,237,22);
        self.setPreferredSize(new java.awt.Dimension(237,22));
        /* Bean Properties */
        self.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        self.setName("Label");
        self.setText("Off");
        return self;
       } /* End of Method: init_Label */

    /**
     * Method: Label_CreateInstance <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel Label_CreateInstance()
       {
        return new javax.swing.JLabel();
       } /* End of Method: Label_CreateInstance */

    /**
     * Method: getImageIcon <br>
     * @param java.lang.String (imagePath)
     * @return javax.swing.ImageIcon
     */
    protected javax.swing.ImageIcon getImageIcon(java.lang.String imagePath)
       {
        java.net.URL url = java.lang.ClassLoader.getSystemResource(imagePath);
        if (url == null)
           {
            try
               {
                url = new java.net.URL(imagePath);
               } /* End try */
            catch (java.lang.Throwable exc)
               {
                generalHandleException(exc);
                return null;
               } /* End catch */
           } /* End if */
        return new javax.swing.ImageIcon(url);
       } /* End of Method: getImageIcon */

    /**
     * Method: generalHandleException <br>
     * {@link SampleMetallicToggleButton#generalHandleException
     * This primitive method is overloaded by the "SampleMetallicToggleButton.java" source code.} <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       { /* This primitive method is overloaded by the "SampleMetallicToggleButton.java" source code. */
       } /* End of Method: generalHandleException */

   } /* End of Class: SampleMetallicToggleButton_Abstract   */


