
/**
 * SampleNeedleGauge_Abstract.java
 */

/**
 * Class:   abstract SampleNeedleGauge_Abstract
 */
abstract class SampleNeedleGauge_Abstract extends javax.swing.JFrame
   {
    /* Variables declaration - Frame */
    private javax.swing.JFrame _Frame;
    private javax.swing.JPanel _Panel;
    private jbc.beans.JbcNeedleGauge _JbcNeedleGauge;
    private jbc.beans.JbcSpinButton _JbcSpinButton;
    /* End of variables declaration - Frame */

    /**
     * Method: Constructor <br>
     * @param None
     * @return Instance of SampleNeedleGauge_Abstract
     */
    protected SampleNeedleGauge_Abstract()
       {
        super();
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: Constructor <br>
     * @param GraphicsConfiguration gc
     * @return Instance of SampleNeedleGauge_Abstract
     */
    protected SampleNeedleGauge_Abstract(java.awt.GraphicsConfiguration gc)
       {
        super(gc);
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: get_Frame <br>
     * Note  : This method is implemented for compatibility between
     *         the main component and the other components. <br>
     * @param None
     * @return Instance of javax.swing.JFrame
     */
    protected javax.swing.JFrame get_Frame()
       {
        return this;
       } /* End of Method: get_Frame */

    /**
     * Method: init_Frame <br>
     * @param Instance of javax.swing.JFrame
     * @return javax.swing.JFrame
     */
    protected javax.swing.JFrame init_Frame(javax.swing.JFrame self)
       {
        /* sets Bounds */
        self.setBounds(100,100,295,209);
        /* Bean Properties */
        self.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
        self.setName("Frame");
        self.setTitle("Sample NeedleGauge");
        /* Adds Child */
        self.getContentPane().add(get_Panel(),java.awt.BorderLayout.CENTER);
        return self;
       } /* End of Method: init_Frame */

    /**
     * Method: get_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel get_Panel()
       {
        if (_Panel == null)
           {
            _Panel = Panel_CreateInstance();
            init_Panel(_Panel);
           } /* End if */
        return _Panel;
       } /* End of Method: get_Panel */

    /**
     * Method: init_Panel <br>
     * @param Instance of javax.swing.JPanel
     * @return javax.swing.JPanel
     */
    protected javax.swing.JPanel init_Panel(javax.swing.JPanel self)
       {
        /* Bean Properties */
        self.setName("Panel");
        /* set Layout */
        self.setLayout(null);
        /* Adds Children */
        self.add(get_JbcNeedleGauge());
        self.add(get_JbcSpinButton());
        return self;
       } /* End of Method: init_Panel */

    /**
     * Method: Panel_CreateInstance <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel Panel_CreateInstance()
       {
        return new javax.swing.JPanel();
       } /* End of Method: Panel_CreateInstance */

    /**
     * Method: get_JbcNeedleGauge <br>
     * @param None
     * @return Instance of jbc.beans.JbcNeedleGauge
     */
    protected jbc.beans.JbcNeedleGauge get_JbcNeedleGauge()
       {
        if (_JbcNeedleGauge == null)
           {
            _JbcNeedleGauge = JbcNeedleGauge_CreateInstance();
            init_JbcNeedleGauge(_JbcNeedleGauge);
           } /* End if */
        return _JbcNeedleGauge;
       } /* End of Method: get_JbcNeedleGauge */

    /**
     * Method: init_JbcNeedleGauge <br>
     * @param Instance of jbc.beans.JbcNeedleGauge
     * @return jbc.beans.JbcNeedleGauge
     */
    protected jbc.beans.JbcNeedleGauge init_JbcNeedleGauge(jbc.beans.JbcNeedleGauge self)
       {
        /* sets Bounds */
        self.setBounds(12,11,256,128);
        self.setPreferredSize(new java.awt.Dimension(256,128));
        /* Bean Properties */
        self.setName("JbcNeedleGauge");
        return self;
       } /* End of Method: init_JbcNeedleGauge */

    /**
     * Method: JbcNeedleGauge_CreateInstance <br>
     * @param None
     * @return Instance of jbc.beans.JbcNeedleGauge
     */
    protected jbc.beans.JbcNeedleGauge JbcNeedleGauge_CreateInstance()
       {
        return new jbc.beans.JbcNeedleGauge();
       } /* End of Method: JbcNeedleGauge_CreateInstance */

    /**
     * Method: get_JbcSpinButton <br>
     * @param None
     * @return Instance of jbc.beans.JbcSpinButton
     */
    protected jbc.beans.JbcSpinButton get_JbcSpinButton()
       {
        if (_JbcSpinButton == null)
           {
            _JbcSpinButton = JbcSpinButton_CreateInstance();
            init_JbcSpinButton(_JbcSpinButton);
           } /* End if */
        return _JbcSpinButton;
       } /* End of Method: get_JbcSpinButton */

    /**
     * Method: init_JbcSpinButton <br>
     * @param Instance of jbc.beans.JbcSpinButton
     * @return jbc.beans.JbcSpinButton
     */
    protected jbc.beans.JbcSpinButton init_JbcSpinButton(jbc.beans.JbcSpinButton self)
       {
        /* sets Bounds */
        self.setBounds(102,151,77,21);
        self.setPreferredSize(new java.awt.Dimension(77,21));
        /* Bean Properties */
        self.setMaximum(100);
        self.setMinimum(0);
        self.setName("JbcSpinButton");
        self.setWrapped(true);
        /* Adds Listener(s) */
        self.addChangeListener(new JbcSpinButton_ChangeAdapter());
        return self;
       } /* End of Method: init_JbcSpinButton */

    /**
     * Method: JbcSpinButton_CreateInstance <br>
     * @param None
     * @return Instance of jbc.beans.JbcSpinButton
     */
    protected jbc.beans.JbcSpinButton JbcSpinButton_CreateInstance()
       {
        return new jbc.beans.JbcSpinButton();
       } /* End of Method: JbcSpinButton_CreateInstance */

    /**
     * Method: JbcSpinButton_change_stateChanged <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This method is called when the target of the listener
     *         has changed its state.  <br>
     * {@link SampleNeedleGauge#JbcSpinButton_change_stateChanged
     * This abstract method is overloaded by the "SampleNeedleGauge.java" source code.} <br>
     * @param javax.swing.event.ChangeEvent evt
     * @return void
     * @see SampleNeedleGauge#JbcSpinButton_change_stateChanged
     * @see SampleNeedleGauge_Abstract.JbcSpinButton_ChangeAdapter
     */
    protected abstract void JbcSpinButton_change_stateChanged(javax.swing.event.ChangeEvent evt);
    /* This abstract method is overloaded by the "SampleNeedleGauge.java" source code. */

    /**
     * Class:   JbcSpinButton_ChangeAdapter <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This event occurs when state has changed in the event
     *         source.  <br>
     */
    protected class JbcSpinButton_ChangeAdapter implements javax.swing.event.ChangeListener
       {
        /**
         * Method: stateChanged <br>
         * Note  : This method is called when the target of the listener
         *         has changed its state.  <br>
         * @param javax.swing.event.ChangeEvent evt
         * @return void
         * @see #JbcSpinButton_change_stateChanged
         */
        public void stateChanged(javax.swing.event.ChangeEvent evt)
           {
            JbcSpinButton_change_stateChanged(evt);
           } /* End of Method: stateChanged */

       } /* End of Class: JbcSpinButton_ChangeAdapter */

    /**
     * Method: getImageIcon <br>
     * @param java.lang.String (imagePath)
     * @return javax.swing.ImageIcon
     */
    protected javax.swing.ImageIcon getImageIcon(java.lang.String imagePath)
       {
        java.net.URL url = java.lang.ClassLoader.getSystemResource(imagePath);
        if (url == null)
           {
            try
               {
                url = new java.net.URL(imagePath);
               } /* End try */
            catch (java.lang.Throwable exc)
               {
                generalHandleException(exc);
                return null;
               } /* End catch */
           } /* End if */
        return new javax.swing.ImageIcon(url);
       } /* End of Method: getImageIcon */

    /**
     * Method: generalHandleException <br>
     * {@link SampleNeedleGauge#generalHandleException
     * This primitive method is overloaded by the "SampleNeedleGauge.java" source code.} <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       { /* This primitive method is overloaded by the "SampleNeedleGauge.java" source code. */
       } /* End of Method: generalHandleException */

   } /* End of Class: SampleNeedleGauge_Abstract   */


