
/**
 * SampleNeedleIndicator_Abstract.java
 */

/**
 * Class:   abstract SampleNeedleIndicator_Abstract
 */
abstract class SampleNeedleIndicator_Abstract extends javax.swing.JFrame
   {
    /* Variables declaration - Frame */
    private javax.swing.JFrame _Frame;
    private javax.swing.JPanel _Panel;
    private jbc.beans.JbcNeedleIndicator _JbcNeedleIndicator;
    private jbc.beans.JbcSpinButton _JbcSpinButton;
    /* End of variables declaration - Frame */

    /**
     * Method: Constructor <br>
     * @param None
     * @return Instance of SampleNeedleIndicator_Abstract
     */
    protected SampleNeedleIndicator_Abstract()
       {
        super();
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: Constructor <br>
     * @param GraphicsConfiguration gc
     * @return Instance of SampleNeedleIndicator_Abstract
     */
    protected SampleNeedleIndicator_Abstract(java.awt.GraphicsConfiguration gc)
       {
        super(gc);
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: get_Frame <br>
     * Note  : This method is implemented for compatibility between
     *         the main component and the other components. <br>
     * @param None
     * @return Instance of javax.swing.JFrame
     */
    protected javax.swing.JFrame get_Frame()
       {
        return this;
       } /* End of Method: get_Frame */

    /**
     * Method: init_Frame <br>
     * @param Instance of javax.swing.JFrame
     * @return javax.swing.JFrame
     */
    protected javax.swing.JFrame init_Frame(javax.swing.JFrame self)
       {
        /* Bean Properties */
        self.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
        self.setName("Frame");
        self.setTitle("Sample NeedleIndicator");
        /* sets Bounds */
        self.setBounds(88,77,295,209);
        /* Adds Child */
        self.getContentPane().add(get_Panel(),java.awt.BorderLayout.CENTER);
        return self;
       } /* End of Method: init_Frame */

    /**
     * Method: get_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel get_Panel()
       {
        if (_Panel == null)
           {
            _Panel = createInstance_Panel();
            init_Panel(_Panel);
           } /* End if */
        return _Panel;
       } /* End of Method: get_Panel */

    /**
     * Method: init_Panel <br>
     * @param Instance of javax.swing.JPanel
     * @return javax.swing.JPanel
     */
    protected javax.swing.JPanel init_Panel(javax.swing.JPanel self)
       {
        /* Bean Properties */
        self.setName("Panel");
        /* set Layout */
        self.setLayout(null);
        /* Adds Children */
        self.add(get_JbcNeedleIndicator());
        self.add(get_JbcSpinButton());
        return self;
       } /* End of Method: init_Panel */

    /**
     * Method: createInstance_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel createInstance_Panel()
       {
        return new javax.swing.JPanel();
       } /* End of Method: createInstance_Panel */

    /**
     * Method: get_JbcNeedleIndicator <br>
     * @param None
     * @return Instance of jbc.beans.JbcNeedleIndicator
     */
    protected jbc.beans.JbcNeedleIndicator get_JbcNeedleIndicator()
       {
        if (_JbcNeedleIndicator == null)
           {
            _JbcNeedleIndicator = createInstance_JbcNeedleIndicator();
            init_JbcNeedleIndicator(_JbcNeedleIndicator);
           } /* End if */
        return _JbcNeedleIndicator;
       } /* End of Method: get_JbcNeedleIndicator */

    /**
     * Method: init_JbcNeedleIndicator <br>
     * @param Instance of jbc.beans.JbcNeedleIndicator
     * @return jbc.beans.JbcNeedleIndicator
     */
    protected jbc.beans.JbcNeedleIndicator init_JbcNeedleIndicator(jbc.beans.JbcNeedleIndicator self)
       {
        /* Bean Properties */
        self.setDecimals(1);
        self.setName("JbcNeedleIndicator");
        /* sets Bounds */
        self.setBounds(17,9,256,128);
        self.setPreferredSize(new java.awt.Dimension(256,128));
        return self;
       } /* End of Method: init_JbcNeedleIndicator */

    /**
     * Method: createInstance_JbcNeedleIndicator <br>
     * @param None
     * @return Instance of jbc.beans.JbcNeedleIndicator
     */
    protected jbc.beans.JbcNeedleIndicator createInstance_JbcNeedleIndicator()
       {
        return new jbc.beans.JbcNeedleIndicator();
       } /* End of Method: createInstance_JbcNeedleIndicator */

    /**
     * Method: get_JbcSpinButton <br>
     * @param None
     * @return Instance of jbc.beans.JbcSpinButton
     */
    protected jbc.beans.JbcSpinButton get_JbcSpinButton()
       {
        if (_JbcSpinButton == null)
           {
            _JbcSpinButton = createInstance_JbcSpinButton();
            init_JbcSpinButton(_JbcSpinButton);
           } /* End if */
        return _JbcSpinButton;
       } /* End of Method: get_JbcSpinButton */

    /**
     * Method: init_JbcSpinButton <br>
     * @param Instance of jbc.beans.JbcSpinButton
     * @return jbc.beans.JbcSpinButton
     */
    protected jbc.beans.JbcSpinButton init_JbcSpinButton(jbc.beans.JbcSpinButton self)
       {
        /* Bean Properties */
        self.setMaximum(50);
        self.setMinimum(-50);
        self.setName("JbcSpinButton");
        self.setWrapped(true);
        /* sets Bounds */
        self.setBounds(109,151,77,21);
        self.setPreferredSize(new java.awt.Dimension(77,21));
        /* Adds Listener(s) */
        self.addChangeListener(new JbcSpinButton_ChangeAdapter());
        return self;
       } /* End of Method: init_JbcSpinButton */

    /**
     * Method: createInstance_JbcSpinButton <br>
     * @param None
     * @return Instance of jbc.beans.JbcSpinButton
     */
    protected jbc.beans.JbcSpinButton createInstance_JbcSpinButton()
       {
        return new jbc.beans.JbcSpinButton();
       } /* End of Method: createInstance_JbcSpinButton */

    /**
     * Method: JbcSpinButton_change_stateChanged <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This method is called when the target of the listener
     *         has changed its state.  <br>
     * {@link SampleNeedleIndicator#JbcSpinButton_change_stateChanged
     * This abstract method is overloaded by the "SampleNeedleIndicator.java" source code.} <br>
     * @param javax.swing.event.ChangeEvent evt
     * @return void
     * @see SampleNeedleIndicator#JbcSpinButton_change_stateChanged
     * @see SampleNeedleIndicator_Abstract.JbcSpinButton_ChangeAdapter
     */
    protected abstract void JbcSpinButton_change_stateChanged(javax.swing.event.ChangeEvent evt);
    /* This abstract method is overloaded by the "SampleNeedleIndicator.java" source code. */

    /**
     * Class:   JbcSpinButton_ChangeAdapter <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This event occurs when state has changed in the event
     *         source.  <br>
     */
    protected class JbcSpinButton_ChangeAdapter implements javax.swing.event.ChangeListener
       {
        /**
         * Method: stateChanged <br>
         * Note  : This method is called when the target of the listener
         *         has changed its state.  <br>
         * @param javax.swing.event.ChangeEvent evt
         * @return void
         * @see #JbcSpinButton_change_stateChanged
         */
        public void stateChanged(javax.swing.event.ChangeEvent evt)
           {
            JbcSpinButton_change_stateChanged(evt);
           } /* End of Method: stateChanged */

       } /* End of Class: JbcSpinButton_ChangeAdapter */

    /**
     * Method: getImageIcon <br>
     * @param java.lang.String (imagePath)
     * @return javax.swing.ImageIcon
     */
    protected javax.swing.ImageIcon getImageIcon(java.lang.String imagePath)
       {
        java.net.URL url = null;

        /* Try - ImagePath is a Class.Resource */
        try
           {
            javax.swing.ImageIcon imageIcon = new javax.swing.ImageIcon(getClass().getResource(imagePath));
            if (imageIcon != null)
               {
                return imageIcon;
               } /* End if */
           } /* End try */
        catch (java.lang.Throwable exc)
           {
           } /* End catch */

        /* Try - ImagePath is a System.Resource */
        try
           {
            url = java.lang.ClassLoader.getSystemResource(imagePath);
           } /* End try */
        catch (java.lang.Throwable exc)
           {
           } /* End catch */

        if (url == null)
           {
            /* Try - ImagePath is an URL */
            try
               {
                url = new java.net.URL(imagePath);
               } /* End try */
            catch (java.lang.Throwable exc)
               {
                generalHandleException(exc);
                return null;
               } /* End catch */
           } /* End if */
        return new javax.swing.ImageIcon(url);
       } /* End of Method: getImageIcon */

    /**
     * Method: generalHandleException <br>
     * {@link SampleNeedleIndicator#generalHandleException
     * This primitive method is overloaded by the "SampleNeedleIndicator.java" source code.} <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       { /* This primitive method is overloaded by the "SampleNeedleIndicator.java" source code. */
       } /* End of Method: generalHandleException */

   } /* End of Class: SampleNeedleIndicator_Abstract   */


