
/**
 * SampleTimeChooser_Abstract.java
 *
 */

/**
 * Class:   abstract SampleTimeChooser_Abstract
 */
abstract class SampleTimeChooser_Abstract extends javax.swing.JFrame
   {
    /* Variables declaration - Frame */
    private javax.swing.JFrame _Frame;
    private javax.swing.JPanel _Panel;
    private javax.swing.JLabel _JLabel;
    private jbc.beans.JbcDateTimeChooser _JbcTimeChooser;
    private jbc.beans.JbcStringSpinButton _LocaleStringSpinButton;
    private javax.swing.JLabel _Label1;
    private javax.swing.JLabel _Label;
    private javax.swing.JCheckBox _JCheckBoxAMPM;
    /* End of variables declaration - Frame */

    /**
     * Method: Constructor <br>
     * @param None
     * @return Instance of SampleTimeChooser_Abstract
     */
    protected SampleTimeChooser_Abstract()
       {
        super();
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: Constructor <br>
     * @param GraphicsConfiguration gc
     * @return Instance of SampleTimeChooser_Abstract
     */
    protected SampleTimeChooser_Abstract(java.awt.GraphicsConfiguration gc)
       {
        super(gc);
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: get_Frame <br>
     * Note  : This method is implemented for compatibility between
     *         the main component and the other components. <br>
     * @param None
     * @return Instance of javax.swing.JFrame
     */
    protected javax.swing.JFrame get_Frame()
       {
        return this;
       } /* End of Method: get_Frame */

    /**
     * Method: init_Frame <br>
     * @param Instance of javax.swing.JFrame
     * @return javax.swing.JFrame
     */
    protected javax.swing.JFrame init_Frame(javax.swing.JFrame self)
       {
        /* Bean Properties */
        self.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
        self.setName("Frame");
        self.setTitle("Sample TimeChooser");
        /* sets Bounds */
        self.setBounds(44,77,429,458);
        /* Adds Child */
        self.getContentPane().add(get_Panel(),java.awt.BorderLayout.CENTER);
        return self;
       } /* End of Method: init_Frame */

    /**
     * Method: get_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel get_Panel()
       {
        if (_Panel == null)
           {
            _Panel = createInstance_Panel();
            init_Panel(_Panel);
           } /* End if */
        return _Panel;
       } /* End of Method: get_Panel */

    /**
     * Method: init_Panel <br>
     * @param Instance of javax.swing.JPanel
     * @return javax.swing.JPanel
     */
    protected javax.swing.JPanel init_Panel(javax.swing.JPanel self)
       {
        /* Bean Properties */
        self.setName("Panel");
        /* set Layout */
        java.awt.GridBagLayout gridBagLayout = new java.awt.GridBagLayout();
        self.setLayout(gridBagLayout);
        java.awt.GridBagConstraints constraints = new java.awt.GridBagConstraints();
        java.awt.Insets defaultInsets = new java.awt.Insets(5,5,5,5);
        /* Adds Children */
        constraints.insets = defaultInsets;
        constraints.gridwidth = 1;
        constraints.gridheight = 1;
        constraints.gridx = 0;
        constraints.gridy = 0;
        constraints.weightx = 0.0;
        constraints.weighty = 0.0;
        constraints.anchor = java.awt.GridBagConstraints.WEST;
        constraints.fill = java.awt.GridBagConstraints.NONE;
        gridBagLayout.setConstraints(get_JLabel(), constraints);
        self.add(get_JLabel());
        constraints.gridy = 1;
        constraints.weighty = 0.01;
        constraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagLayout.setConstraints(get_JbcTimeChooser(), constraints);
        self.add(get_JbcTimeChooser());
        constraints.gridy = 2;
        constraints.weighty = 0.0;
        constraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagLayout.setConstraints(get_LocaleStringSpinButton(), constraints);
        self.add(get_LocaleStringSpinButton());
        constraints.gridy = 4;
        constraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagLayout.setConstraints(get_Label1(), constraints);
        self.add(get_Label1());
        constraints.gridy = 5;
        gridBagLayout.setConstraints(get_Label(), constraints);
        self.add(get_Label());
        constraints.gridy = 3;
        gridBagLayout.setConstraints(get_JCheckBoxAMPM(), constraints);
        self.add(get_JCheckBoxAMPM());
        return self;
       } /* End of Method: init_Panel */

    /**
     * Method: createInstance_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel createInstance_Panel()
       {
        return new javax.swing.JPanel();
       } /* End of Method: createInstance_Panel */

    /**
     * Method: get_JLabel <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel get_JLabel()
       {
        if (_JLabel == null)
           {
            _JLabel = createInstance_JLabel();
            init_JLabel(_JLabel);
           } /* End if */
        return _JLabel;
       } /* End of Method: get_JLabel */

    /**
     * Method: init_JLabel <br>
     * @param Instance of javax.swing.JLabel
     * @return javax.swing.JLabel
     */
    protected javax.swing.JLabel init_JLabel(javax.swing.JLabel self)
       {
        /* Bean Properties */
        self.setName("JLabel");
        /* sets Bounds */
        self.setBounds(84,5,100,29);
        self.setPreferredSize(new java.awt.Dimension(100,29));
        self.setMinimumSize(self.getPreferredSize());
        return self;
       } /* End of Method: init_JLabel */

    /**
     * Method: createInstance_JLabel <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel createInstance_JLabel()
       {
        return new javax.swing.JLabel();
       } /* End of Method: createInstance_JLabel */

    /**
     * Method: get_JbcTimeChooser <br>
     * @param None
     * @return Instance of jbc.beans.JbcDateTimeChooser
     */
    protected jbc.beans.JbcDateTimeChooser get_JbcTimeChooser()
       {
        if (_JbcTimeChooser == null)
           {
            _JbcTimeChooser = createInstance_JbcTimeChooser();
            init_JbcTimeChooser(_JbcTimeChooser);
           } /* End if */
        return _JbcTimeChooser;
       } /* End of Method: get_JbcTimeChooser */

    /**
     * Method: init_JbcTimeChooser <br>
     * @param Instance of jbc.beans.JbcDateTimeChooser
     * @return jbc.beans.JbcDateTimeChooser
     */
    protected jbc.beans.JbcDateTimeChooser init_JbcTimeChooser(jbc.beans.JbcDateTimeChooser self)
       {
        /* Bean Properties */
        self.setChooserType(jbc.beans.JbcDateTimeChooser.CHOOSER_TIME);
        self.setName("JbcTimeChooser");
        /* sets Bounds */
        self.setBounds(10,7,234,21);
        self.setPreferredSize(new java.awt.Dimension(234,21));
        self.setMinimumSize(self.getPreferredSize());
        /* Adds Listener(s) */
        self.addChangeListener(new JbcTimeChooser_ChangeAdapter());
        return self;
       } /* End of Method: init_JbcTimeChooser */

    /**
     * Method: createInstance_JbcTimeChooser <br>
     * @param None
     * @return Instance of jbc.beans.JbcDateTimeChooser
     */
    protected jbc.beans.JbcDateTimeChooser createInstance_JbcTimeChooser()
       {
        return new jbc.beans.JbcDateTimeChooser();
       } /* End of Method: createInstance_JbcTimeChooser */

    /**
     * Method: JbcTimeChooser_change_stateChanged <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This method is called when the target of the listener
     *         has changed its state.  <br>
     * {@link SampleTimeChooser#JbcTimeChooser_change_stateChanged
     * This abstract method is overloaded by the "SampleTimeChooser.java" source code.} <br>
     * @param javax.swing.event.ChangeEvent evt
     * @return void
     * @see SampleTimeChooser#JbcTimeChooser_change_stateChanged
     * @see SampleTimeChooser_Abstract.JbcTimeChooser_ChangeAdapter
     */
    protected abstract void JbcTimeChooser_change_stateChanged(javax.swing.event.ChangeEvent evt);
    /* This abstract method is overloaded by the "SampleTimeChooser.java" source code. */

    /**
     * Class:   JbcTimeChooser_ChangeAdapter <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This event occurs when state has changed in the event
     *         source.  <br>
     */
    protected class JbcTimeChooser_ChangeAdapter implements javax.swing.event.ChangeListener
       {
        /**
         * Method: stateChanged <br>
         * Note  : This method is called when the target of the listener
         *         has changed its state.  <br>
         * @param javax.swing.event.ChangeEvent evt
         * @return void
         * @see #JbcTimeChooser_change_stateChanged
         */
        public void stateChanged(javax.swing.event.ChangeEvent evt)
           {
            JbcTimeChooser_change_stateChanged(evt);
           } /* End of Method: stateChanged */

       } /* End of Class: JbcTimeChooser_ChangeAdapter */

    /**
     * Method: get_LocaleStringSpinButton <br>
     * @param None
     * @return Instance of jbc.beans.JbcStringSpinButton
     */
    protected jbc.beans.JbcStringSpinButton get_LocaleStringSpinButton()
       {
        if (_LocaleStringSpinButton == null)
           {
            _LocaleStringSpinButton = createInstance_LocaleStringSpinButton();
            init_LocaleStringSpinButton(_LocaleStringSpinButton);
           } /* End if */
        return _LocaleStringSpinButton;
       } /* End of Method: get_LocaleStringSpinButton */

    /**
     * Method: init_LocaleStringSpinButton <br>
     * @param Instance of jbc.beans.JbcStringSpinButton
     * @return jbc.beans.JbcStringSpinButton
     */
    protected jbc.beans.JbcStringSpinButton init_LocaleStringSpinButton(jbc.beans.JbcStringSpinButton self)
       {
        /* Bean Properties */
        self.setName("LocaleStringSpinButton");
        /* sets Bounds */
        self.setBounds(46,281,326,20);
        self.setPreferredSize(new java.awt.Dimension(326,20));
        self.setMinimumSize(self.getPreferredSize());
        /* Adds Listener(s) */
        self.addChangeListener(new LocaleStringSpinButton_ChangeAdapter());
        return self;
       } /* End of Method: init_LocaleStringSpinButton */

    /**
     * Method: createInstance_LocaleStringSpinButton <br>
     * @param None
     * @return Instance of jbc.beans.JbcStringSpinButton
     */
    protected jbc.beans.JbcStringSpinButton createInstance_LocaleStringSpinButton()
       {
        return new jbc.beans.JbcStringSpinButton();
       } /* End of Method: createInstance_LocaleStringSpinButton */

    /**
     * Method: LocaleStringSpinButton_change_stateChanged <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This method is called when the target of the listener
     *         has changed its state.  <br>
     * {@link SampleTimeChooser#LocaleStringSpinButton_change_stateChanged
     * This abstract method is overloaded by the "SampleTimeChooser.java" source code.} <br>
     * @param javax.swing.event.ChangeEvent evt
     * @return void
     * @see SampleTimeChooser#LocaleStringSpinButton_change_stateChanged
     * @see SampleTimeChooser_Abstract.LocaleStringSpinButton_ChangeAdapter
     */
    protected abstract void LocaleStringSpinButton_change_stateChanged(javax.swing.event.ChangeEvent evt);
    /* This abstract method is overloaded by the "SampleTimeChooser.java" source code. */

    /**
     * Class:   LocaleStringSpinButton_ChangeAdapter <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This event occurs when state has changed in the event
     *         source.  <br>
     */
    protected class LocaleStringSpinButton_ChangeAdapter implements javax.swing.event.ChangeListener
       {
        /**
         * Method: stateChanged <br>
         * Note  : This method is called when the target of the listener
         *         has changed its state.  <br>
         * @param javax.swing.event.ChangeEvent evt
         * @return void
         * @see #LocaleStringSpinButton_change_stateChanged
         */
        public void stateChanged(javax.swing.event.ChangeEvent evt)
           {
            LocaleStringSpinButton_change_stateChanged(evt);
           } /* End of Method: stateChanged */

       } /* End of Class: LocaleStringSpinButton_ChangeAdapter */

    /**
     * Method: get_Label1 <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel get_Label1()
       {
        if (_Label1 == null)
           {
            _Label1 = createInstance_Label1();
            init_Label1(_Label1);
           } /* End if */
        return _Label1;
       } /* End of Method: get_Label1 */

    /**
     * Method: init_Label1 <br>
     * @param Instance of javax.swing.JLabel
     * @return javax.swing.JLabel
     */
    protected javax.swing.JLabel init_Label1(javax.swing.JLabel self)
       {
        /* Bean Properties */
        self.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        self.setName("Label1");
        /* sets Bounds */
        self.setBounds(10,299,251,22);
        self.setPreferredSize(new java.awt.Dimension(251,22));
        self.setMinimumSize(self.getPreferredSize());
        return self;
       } /* End of Method: init_Label1 */

    /**
     * Method: createInstance_Label1 <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel createInstance_Label1()
       {
        return new javax.swing.JLabel();
       } /* End of Method: createInstance_Label1 */

    /**
     * Method: get_Label <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel get_Label()
       {
        if (_Label == null)
           {
            _Label = createInstance_Label();
            init_Label(_Label);
           } /* End if */
        return _Label;
       } /* End of Method: get_Label */

    /**
     * Method: init_Label <br>
     * @param Instance of javax.swing.JLabel
     * @return javax.swing.JLabel
     */
    protected javax.swing.JLabel init_Label(javax.swing.JLabel self)
       {
        /* Bean Properties */
        self.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        self.setName("Label");
        /* sets Bounds */
        self.setBounds(10,271,251,22);
        self.setPreferredSize(new java.awt.Dimension(251,22));
        self.setMinimumSize(self.getPreferredSize());
        return self;
       } /* End of Method: init_Label */

    /**
     * Method: createInstance_Label <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel createInstance_Label()
       {
        return new javax.swing.JLabel();
       } /* End of Method: createInstance_Label */

    /**
     * Method: get_JCheckBoxAMPM <br>
     * @param None
     * @return Instance of javax.swing.JCheckBox
     */
    protected javax.swing.JCheckBox get_JCheckBoxAMPM()
       {
        if (_JCheckBoxAMPM == null)
           {
            _JCheckBoxAMPM = createInstance_JCheckBoxAMPM();
            init_JCheckBoxAMPM(_JCheckBoxAMPM);
           } /* End if */
        return _JCheckBoxAMPM;
       } /* End of Method: get_JCheckBoxAMPM */

    /**
     * Method: init_JCheckBoxAMPM <br>
     * @param Instance of javax.swing.JCheckBox
     * @return javax.swing.JCheckBox
     */
    protected javax.swing.JCheckBox init_JCheckBoxAMPM(javax.swing.JCheckBox self)
       {
        /* Bean Properties */
        self.setName("JCheckBoxAMPM");
        self.setText("Clock With AM/PM");
        /* sets Bounds */
        self.setBounds(193,313,326,22);
        self.setPreferredSize(new java.awt.Dimension(326,22));
        self.setMinimumSize(self.getPreferredSize());
        /* Adds Listener(s) */
        self.addActionListener(new JCheckBoxAMPM_ActionAdapter());
        return self;
       } /* End of Method: init_JCheckBoxAMPM */

    /**
     * Method: createInstance_JCheckBoxAMPM <br>
     * @param None
     * @return Instance of javax.swing.JCheckBox
     */
    protected javax.swing.JCheckBox createInstance_JCheckBoxAMPM()
       {
        return new javax.swing.JCheckBox();
       } /* End of Method: createInstance_JCheckBoxAMPM */

    /**
     * Method: JCheckBoxAMPM_action_actionPerformed <br>
     * Adapter: ActionAdapter <br>
     * Interface: java.awt.event.ActionListener <br>
     * Note  : This method is called when an action occurs.  <br>
     * {@link SampleTimeChooser#JCheckBoxAMPM_action_actionPerformed
     * This abstract method is overloaded by the "SampleTimeChooser.java" source code.} <br>
     * @param java.awt.event.ActionEvent evt
     * @return void
     * @see SampleTimeChooser#JCheckBoxAMPM_action_actionPerformed
     * @see SampleTimeChooser_Abstract.JCheckBoxAMPM_ActionAdapter
     */
    protected abstract void JCheckBoxAMPM_action_actionPerformed(java.awt.event.ActionEvent evt);
    /* This abstract method is overloaded by the "SampleTimeChooser.java" source code. */

    /**
     * Class:   JCheckBoxAMPM_ActionAdapter <br>
     * Adapter: ActionAdapter <br>
     * Interface: java.awt.event.ActionListener <br>
     * Note  : This event occurs when a component-defined action has
     *         been invoked.  <br>
     */
    protected class JCheckBoxAMPM_ActionAdapter implements java.awt.event.ActionListener
       {
        /**
         * Method: actionPerformed <br>
         * Note  : This method is called when an action occurs.  <br>
         * @param java.awt.event.ActionEvent evt
         * @return void
         * @see #JCheckBoxAMPM_action_actionPerformed
         */
        public void actionPerformed(java.awt.event.ActionEvent evt)
           {
            JCheckBoxAMPM_action_actionPerformed(evt);
           } /* End of Method: actionPerformed */

       } /* End of Class: JCheckBoxAMPM_ActionAdapter */

    /**
     * Method: getImageIcon <br>
     * @param java.lang.String (imagePath)
     * @return javax.swing.ImageIcon
     */
    protected javax.swing.ImageIcon getImageIcon(java.lang.String imagePath)
       {
        java.net.URL url = null;

        /* Try - ImagePath is a Class.Resource */
        try
           {
            javax.swing.ImageIcon imageIcon = new javax.swing.ImageIcon(getClass().getResource(imagePath));
            if (imageIcon != null)
               {
                return imageIcon;
               } /* End if */
           } /* End try */
        catch (java.lang.Throwable exc)
           {
           } /* End catch */

        /* Try - ImagePath is a System.Resource */
        try
           {
            url = java.lang.ClassLoader.getSystemResource(imagePath);
           } /* End try */
        catch (java.lang.Throwable exc)
           {
           } /* End catch */

        if (url == null)
           {
            /* Try - ImagePath is an URL */
            try
               {
                url = new java.net.URL(imagePath);
               } /* End try */
            catch (java.lang.Throwable exc)
               {
                generalHandleException(exc);
                return null;
               } /* End catch */
           } /* End if */
        return new javax.swing.ImageIcon(url);
       } /* End of Method: getImageIcon */

    /**
     * Method: generalHandleException <br>
     * {@link SampleTimeChooser#generalHandleException
     * This primitive method is overloaded by the "SampleTimeChooser.java" source code.} <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       { /* This primitive method is overloaded by the "SampleTimeChooser.java" source code. */
       } /* End of Method: generalHandleException */

   } /* End of Class: SampleTimeChooser_Abstract   */



