
/**
 * SampleBevelText_Abstract.java
 */

/**
 * Class:   abstract SampleBevelText_Abstract
 */
abstract class SampleBevelText_Abstract extends javax.swing.JFrame
   {
    /* Variables declaration - Frame */
    private javax.swing.JFrame _Frame;
    private javax.swing.JPanel _Panel;
    private jbc.beans.JbcBevelText _JbcBevelText;
    /* End of variables declaration - Frame */

    /**
     * Method: Constructor <br>
     * @param None
     * @return Instance of SampleBevelText_Abstract
     */
    protected SampleBevelText_Abstract()
       {
        super();
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: Constructor <br>
     * @param GraphicsConfiguration gc
     * @return Instance of SampleBevelText_Abstract
     */
    protected SampleBevelText_Abstract(java.awt.GraphicsConfiguration gc)
       {
        super(gc);
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: get_Frame <br>
     * Note  : This method is implemented for compatibility between
     *         the main component and the other components. <br>
     * @param None
     * @return Instance of javax.swing.JFrame
     */
    protected javax.swing.JFrame get_Frame()
       {
        return this;
       } /* End of Method: get_Frame */

    /**
     * Method: init_Frame <br>
     * @param Instance of javax.swing.JFrame
     * @return javax.swing.JFrame
     */
    protected javax.swing.JFrame init_Frame(javax.swing.JFrame self)
       {
        /* sets Bounds */
        self.setBounds(100,100,250,180);
        /* Bean Properties */
        self.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
        self.setName("Frame");
        self.setTitle("Sample BevelText");
        /* Adds Child */
        self.getContentPane().add(get_Panel(),java.awt.BorderLayout.CENTER);
        return self;
       } /* End of Method: init_Frame */

    /**
     * Method: get_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel get_Panel()
       {
        if (_Panel == null)
           {
            _Panel = Panel_CreateInstance();
            init_Panel(_Panel);
           } /* End if */
        return _Panel;
       } /* End of Method: get_Panel */

    /**
     * Method: init_Panel <br>
     * @param Instance of javax.swing.JPanel
     * @return javax.swing.JPanel
     */
    protected javax.swing.JPanel init_Panel(javax.swing.JPanel self)
       {
        /* Bean Properties */
        self.setName("Panel");
        /* set Layout */
        self.setLayout(null);
        /* Adds Child */
        self.add(get_JbcBevelText());
        return self;
       } /* End of Method: init_Panel */

    /**
     * Method: Panel_CreateInstance <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel Panel_CreateInstance()
       {
        return new javax.swing.JPanel();
       } /* End of Method: Panel_CreateInstance */

    /**
     * Method: get_JbcBevelText <br>
     * @param None
     * @return Instance of jbc.beans.JbcBevelText
     */
    protected jbc.beans.JbcBevelText get_JbcBevelText()
       {
        if (_JbcBevelText == null)
           {
            _JbcBevelText = JbcBevelText_CreateInstance();
            init_JbcBevelText(_JbcBevelText);
           } /* End if */
        return _JbcBevelText;
       } /* End of Method: get_JbcBevelText */

    /**
     * Method: init_JbcBevelText <br>
     * @param Instance of jbc.beans.JbcBevelText
     * @return jbc.beans.JbcBevelText
     */
    protected jbc.beans.JbcBevelText init_JbcBevelText(jbc.beans.JbcBevelText self)
       {
        /* sets Bounds */
        self.setBounds(12,31,190,46);
        self.setPreferredSize(new java.awt.Dimension(190,46));
        /* Bean Properties */
        self.setFont(java.awt.Font.decode("Dialog-Bold-32"));
        self.setName("JbcBevelText");
        self.setText("Welcome");
        return self;
       } /* End of Method: init_JbcBevelText */

    /**
     * Method: JbcBevelText_CreateInstance <br>
     * @param None
     * @return Instance of jbc.beans.JbcBevelText
     */
    protected jbc.beans.JbcBevelText JbcBevelText_CreateInstance()
       {
        return new jbc.beans.JbcBevelText();
       } /* End of Method: JbcBevelText_CreateInstance */

    /**
     * Method: getImageIcon <br>
     * @param java.lang.String (imagePath)
     * @return javax.swing.ImageIcon
     */
    protected javax.swing.ImageIcon getImageIcon(java.lang.String imagePath)
       {
        java.net.URL url = java.lang.ClassLoader.getSystemResource(imagePath);
        if (url == null)
           {
            try
               {
                url = new java.net.URL(imagePath);
               } /* End try */
            catch (java.lang.Throwable exc)
               {
                generalHandleException(exc);
                return null;
               } /* End catch */
           } /* End if */
        return new javax.swing.ImageIcon(url);
       } /* End of Method: getImageIcon */

    /**
     * Method: generalHandleException <br>
     * {@link SampleBevelText#generalHandleException
     * This primitive method is overloaded by the "SampleBevelText.java" source code.} <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       { /* This primitive method is overloaded by the "SampleBevelText.java" source code. */
       } /* End of Method: generalHandleException */

   } /* End of Class: SampleBevelText_Abstract   */


