
/**
 * SampleCircularSlider.java
 */
import java.lang.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * Class:   SampleCircularSlider
 */
public class SampleCircularSlider extends SampleCircularSlider_Abstract
   {
    /**
     * Constructor: SampleCircularSlider
     * @return instance of SampleCircularSlider
     */
    public SampleCircularSlider()
       {
        super();
       } /* End of Constructor: SampleCircularSlider */

    /**
     * Method: generalHandleException <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       {
        exc.printStackTrace(System.err);
       } /* End of Method: generalHandleException */

    /**
     * Method: main <br>
     * Note: Called only if we're an application. <br>
     * @param java.lang.String[] args the command line arguments
     * @return void
     */
    public static void main(java.lang.String[] args)
       {
        try
           {
            /* Set native look and feel */
            javax.swing.UIManager.setLookAndFeel(javax.swing.UIManager.getSystemLookAndFeelClassName());

            /* Creates new MainObject */
            SampleCircularSlider self = new SampleCircularSlider();
            self.show();
           } /* End try */
        catch (java.lang.Throwable exc)
           {
            exc.printStackTrace(System.err);
           } /* End catch */
       } /* End of Method: main */

    /**
     * Method: JbcCircularSlider_change_stateChanged <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This method is called when the target of the listener
     *         has changed its state.  <br>
     * @param javax.swing.event.ChangeEvent evt
     * @return void
     */
    protected void JbcCircularSlider_change_stateChanged(javax.swing.event.ChangeEvent evt)
       {
        int value = get_JbcCircularSlider().getValue();
        get_Label().setText("Value is " + value);
       } /* End of Method: JbcCircularSlider_change_stateChanged */

   } /* End of Class: SampleCircularSlider */



