
/**
 * SampleCircularSlider_Abstract.java
 */

/**
 * Class:   abstract SampleCircularSlider_Abstract
 */
abstract class SampleCircularSlider_Abstract extends javax.swing.JFrame
   {
    /* Variables declaration - Frame */
    private javax.swing.JFrame _Frame;
    private javax.swing.JPanel _Panel;
    private jbc.beans.JbcCircularSlider _JbcCircularSlider;
    private javax.swing.JLabel _Label;
    private javax.swing.border.SoftBevelBorder _SoftBevelBorder;
    /* End of variables declaration - Frame */

    /**
     * Method: Constructor <br>
     * @param None
     * @return Instance of SampleCircularSlider_Abstract
     */
    protected SampleCircularSlider_Abstract()
       {
        super();
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: Constructor <br>
     * @param GraphicsConfiguration gc
     * @return Instance of SampleCircularSlider_Abstract
     */
    protected SampleCircularSlider_Abstract(java.awt.GraphicsConfiguration gc)
       {
        super(gc);
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: get_Frame <br>
     * Note  : This method is implemented for compatibility between
     *         the main component and the other components. <br>
     * @param None
     * @return Instance of javax.swing.JFrame
     */
    protected javax.swing.JFrame get_Frame()
       {
        return this;
       } /* End of Method: get_Frame */

    /**
     * Method: init_Frame <br>
     * @param Instance of javax.swing.JFrame
     * @return javax.swing.JFrame
     */
    protected javax.swing.JFrame init_Frame(javax.swing.JFrame self)
       {
        /* sets Bounds */
        self.setBounds(107,140,367,193);
        /* Bean Properties */
        self.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
        self.setName("Frame");
        self.setTitle("Sample  CircularSloder");
        /* Adds Child */
        self.getContentPane().add(get_Panel(),java.awt.BorderLayout.CENTER);
        return self;
       } /* End of Method: init_Frame */

    /**
     * Method: get_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel get_Panel()
       {
        if (_Panel == null)
           {
            _Panel = Panel_CreateInstance();
            init_Panel(_Panel);
           } /* End if */
        return _Panel;
       } /* End of Method: get_Panel */

    /**
     * Method: init_Panel <br>
     * @param Instance of javax.swing.JPanel
     * @return javax.swing.JPanel
     */
    protected javax.swing.JPanel init_Panel(javax.swing.JPanel self)
       {
        /* Bean Properties */
        self.setName("Panel");
        /* set Layout */
        self.setLayout(new java.awt.BorderLayout(5,10));
        /* Adds Children */
        self.add(get_JbcCircularSlider(),java.awt.BorderLayout.CENTER);
        self.add(get_Label(),java.awt.BorderLayout.SOUTH);
        return self;
       } /* End of Method: init_Panel */

    /**
     * Method: Panel_CreateInstance <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel Panel_CreateInstance()
       {
        return new javax.swing.JPanel();
       } /* End of Method: Panel_CreateInstance */

    /**
     * Method: get_JbcCircularSlider <br>
     * @param None
     * @return Instance of jbc.beans.JbcCircularSlider
     */
    protected jbc.beans.JbcCircularSlider get_JbcCircularSlider()
       {
        if (_JbcCircularSlider == null)
           {
            _JbcCircularSlider = JbcCircularSlider_CreateInstance();
            init_JbcCircularSlider(_JbcCircularSlider);
           } /* End if */
        return _JbcCircularSlider;
       } /* End of Method: get_JbcCircularSlider */

    /**
     * Method: init_JbcCircularSlider <br>
     * @param Instance of jbc.beans.JbcCircularSlider
     * @return jbc.beans.JbcCircularSlider
     */
    protected jbc.beans.JbcCircularSlider init_JbcCircularSlider(jbc.beans.JbcCircularSlider self)
       {
        /* sets Bounds */
        self.setBounds(0,20,90,90);
        self.setPreferredSize(new java.awt.Dimension(90,90));
        /* Bean Properties */
        self.setName("JbcCircularSlider");
        self.setSafe(false);
        /* Adds Listener(s) */
        self.addChangeListener(new JbcCircularSlider_ChangeAdapter());
        return self;
       } /* End of Method: init_JbcCircularSlider */

    /**
     * Method: JbcCircularSlider_CreateInstance <br>
     * @param None
     * @return Instance of jbc.beans.JbcCircularSlider
     */
    protected jbc.beans.JbcCircularSlider JbcCircularSlider_CreateInstance()
       {
        return new jbc.beans.JbcCircularSlider();
       } /* End of Method: JbcCircularSlider_CreateInstance */

    /**
     * Method: JbcCircularSlider_change_stateChanged <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This method is called when the target of the listener
     *         has changed its state.  <br>
     * {@link SampleCircularSlider#JbcCircularSlider_change_stateChanged
     * This abstract method is overloaded by the "SampleCircularSlider.java" source code.} <br>
     * @param javax.swing.event.ChangeEvent evt
     * @return void
     * @see SampleCircularSlider#JbcCircularSlider_change_stateChanged
     * @see SampleCircularSlider_Abstract.JbcCircularSlider_ChangeAdapter
     */
    protected abstract void JbcCircularSlider_change_stateChanged(javax.swing.event.ChangeEvent evt);
    /* This abstract method is overloaded by the "SampleCircularSlider.java" source code. */

    /**
     * Class:   JbcCircularSlider_ChangeAdapter <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This event occurs when state has changed in the event
     *         source.  <br>
     */
    protected class JbcCircularSlider_ChangeAdapter implements javax.swing.event.ChangeListener
       {
        /**
         * Method: stateChanged <br>
         * Note  : This method is called when the target of the listener
         *         has changed its state.  <br>
         * @param javax.swing.event.ChangeEvent evt
         * @return void
         * @see #JbcCircularSlider_change_stateChanged
         */
        public void stateChanged(javax.swing.event.ChangeEvent evt)
           {
            JbcCircularSlider_change_stateChanged(evt);
           } /* End of Method: stateChanged */

       } /* End of Class: JbcCircularSlider_ChangeAdapter */

    /**
     * Method: get_Label <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel get_Label()
       {
        if (_Label == null)
           {
            _Label = Label_CreateInstance();
            init_Label(_Label);
           } /* End if */
        return _Label;
       } /* End of Method: get_Label */

    /**
     * Method: init_Label <br>
     * @param Instance of javax.swing.JLabel
     * @return javax.swing.JLabel
     */
    protected javax.swing.JLabel init_Label(javax.swing.JLabel self)
       {
        /* sets Bounds */
        self.setBounds(7,117,228,22);
        self.setPreferredSize(new java.awt.Dimension(228,22));
        /* Bean Properties */
        self.setName("Label");
        self.setText("");
        /* sets Border(s) */
        self.setBorder(new javax.swing.border.CompoundBorder(self.getBorder(),get_SoftBevelBorder()));
        return self;
       } /* End of Method: init_Label */

    /**
     * Method: Label_CreateInstance <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel Label_CreateInstance()
       {
        return new javax.swing.JLabel();
       } /* End of Method: Label_CreateInstance */

    /**
     * Method: get_SoftBevelBorder <br>
     * @param None
     * @return Instance of javax.swing.border.SoftBevelBorder
     */
    protected javax.swing.border.SoftBevelBorder get_SoftBevelBorder()
       {
        if (_SoftBevelBorder == null)
           {
            _SoftBevelBorder = SoftBevelBorder_CreateInstance();
           } /* End if */
        return _SoftBevelBorder;
       } /* End of Method: get_SoftBevelBorder */

    /**
     * Method: SoftBevelBorder_CreateInstance <br>
     * @param None
     * @return Instance of javax.swing.border.SoftBevelBorder
     */
    protected javax.swing.border.SoftBevelBorder SoftBevelBorder_CreateInstance()
       {
        javax.swing.border.SoftBevelBorder self;
        java.awt.Color highlightInnerColor = null;
        java.awt.Color highlightOuterColor = null;
        java.awt.Color shadowInnerColor = null;
        java.awt.Color shadowOuterColor = null;
        int bevelType = javax.swing.border.SoftBevelBorder.LOWERED;
        self = new javax.swing.border.SoftBevelBorder(bevelType,highlightOuterColor,highlightInnerColor,shadowOuterColor,shadowInnerColor);
        return self;
       } /* End of Method: SoftBevelBorder_CreateInstance */

    /**
     * Method: getImageIcon <br>
     * @param java.lang.String (imagePath)
     * @return javax.swing.ImageIcon
     */
    protected javax.swing.ImageIcon getImageIcon(java.lang.String imagePath)
       {
        java.net.URL url = java.lang.ClassLoader.getSystemResource(imagePath);
        if (url == null)
           {
            try
               {
                url = new java.net.URL(imagePath);
               } /* End try */
            catch (java.lang.Throwable exc)
               {
                generalHandleException(exc);
                return null;
               } /* End catch */
           } /* End if */
        return new javax.swing.ImageIcon(url);
       } /* End of Method: getImageIcon */

    /**
     * Method: generalHandleException <br>
     * {@link SampleCircularSlider#generalHandleException
     * This primitive method is overloaded by the "SampleCircularSlider.java" source code.} <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       { /* This primitive method is overloaded by the "SampleCircularSlider.java" source code. */
       } /* End of Method: generalHandleException */

   } /* End of Class: SampleCircularSlider_Abstract   */



