
/**
 * SampleMetallicPushButton_Abstract.java
 */

/**
 * Class:   abstract SampleMetallicPushButton_Abstract
 */
abstract class SampleMetallicPushButton_Abstract extends javax.swing.JFrame
   {
    /* Variables declaration - Frame */
    private javax.swing.JFrame _Frame;
    private javax.swing.JPanel _Panel;
    private jbc.beans.JbcMetallicPushButton _JbcMetallicPushButton;
    /* End of variables declaration - Frame */

    /**
     * Method: Constructor <br>
     * @param None
     * @return Instance of SampleMetallicPushButton_Abstract
     */
    protected SampleMetallicPushButton_Abstract()
       {
        super();
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: Constructor <br>
     * @param GraphicsConfiguration gc
     * @return Instance of SampleMetallicPushButton_Abstract
     */
    protected SampleMetallicPushButton_Abstract(java.awt.GraphicsConfiguration gc)
       {
        super(gc);
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: get_Frame <br>
     * Note  : This method is implemented for compatibility between
     *         the main component and the other components. <br>
     * @param None
     * @return Instance of javax.swing.JFrame
     */
    protected javax.swing.JFrame get_Frame()
       {
        return this;
       } /* End of Method: get_Frame */

    /**
     * Method: init_Frame <br>
     * @param Instance of javax.swing.JFrame
     * @return javax.swing.JFrame
     */
    protected javax.swing.JFrame init_Frame(javax.swing.JFrame self)
       {
        /* sets Bounds */
        self.setBounds(100,100,250,180);
        /* Bean Properties */
        self.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
        self.setName("Frame");
        self.setTitle("Sample Metallic PushButton");
        /* Adds Child */
        self.getContentPane().add(get_Panel(),java.awt.BorderLayout.CENTER);
        return self;
       } /* End of Method: init_Frame */

    /**
     * Method: get_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel get_Panel()
       {
        if (_Panel == null)
           {
            _Panel = Panel_CreateInstance();
            init_Panel(_Panel);
           } /* End if */
        return _Panel;
       } /* End of Method: get_Panel */

    /**
     * Method: init_Panel <br>
     * @param Instance of javax.swing.JPanel
     * @return javax.swing.JPanel
     */
    protected javax.swing.JPanel init_Panel(javax.swing.JPanel self)
       {
        /* Bean Properties */
        self.setName("Panel");
        /* set Layout */
        self.setLayout(null);
        /* Adds Child */
        self.add(get_JbcMetallicPushButton());
        return self;
       } /* End of Method: init_Panel */

    /**
     * Method: Panel_CreateInstance <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel Panel_CreateInstance()
       {
        return new javax.swing.JPanel();
       } /* End of Method: Panel_CreateInstance */

    /**
     * Method: get_JbcMetallicPushButton <br>
     * @param None
     * @return Instance of jbc.beans.JbcMetallicPushButton
     */
    protected jbc.beans.JbcMetallicPushButton get_JbcMetallicPushButton()
       {
        if (_JbcMetallicPushButton == null)
           {
            _JbcMetallicPushButton = JbcMetallicPushButton_CreateInstance();
            init_JbcMetallicPushButton(_JbcMetallicPushButton);
           } /* End if */
        return _JbcMetallicPushButton;
       } /* End of Method: get_JbcMetallicPushButton */

    /**
     * Method: init_JbcMetallicPushButton <br>
     * @param Instance of jbc.beans.JbcMetallicPushButton
     * @return jbc.beans.JbcMetallicPushButton
     */
    protected jbc.beans.JbcMetallicPushButton init_JbcMetallicPushButton(jbc.beans.JbcMetallicPushButton self)
       {
        /* sets Bounds */
        self.setBounds(81,82,70,48);
        self.setPreferredSize(new java.awt.Dimension(70,48));
        /* Bean Properties */
        self.setBevelSize(4);
        self.setBorderPainted(false);
        self.setElliptic(true);
        self.setName("JbcMetallicPushButton");
        self.setText("Exit");
        /* Adds Listener(s) */
        self.addActionListener(new JbcMetallicPushButton_ActionAdapter());
        return self;
       } /* End of Method: init_JbcMetallicPushButton */

    /**
     * Method: JbcMetallicPushButton_CreateInstance <br>
     * @param None
     * @return Instance of jbc.beans.JbcMetallicPushButton
     */
    protected jbc.beans.JbcMetallicPushButton JbcMetallicPushButton_CreateInstance()
       {
        return new jbc.beans.JbcMetallicPushButton();
       } /* End of Method: JbcMetallicPushButton_CreateInstance */

    /**
     * Method: JbcMetallicPushButton_action_actionPerformed <br>
     * Adapter: ActionAdapter <br>
     * Interface: java.awt.event.ActionListener <br>
     * Note  : This method is called when an action occurs.  <br>
     * {@link SampleMetallicPushButton#JbcMetallicPushButton_action_actionPerformed
     * This abstract method is overloaded by the "SampleMetallicPushButton.java" source code.} <br>
     * @param java.awt.event.ActionEvent evt
     * @return void
     * @see SampleMetallicPushButton#JbcMetallicPushButton_action_actionPerformed
     * @see SampleMetallicPushButton_Abstract.JbcMetallicPushButton_ActionAdapter
     */
    protected abstract void JbcMetallicPushButton_action_actionPerformed(java.awt.event.ActionEvent evt);
    /* This abstract method is overloaded by the "SampleMetallicPushButton.java" source code. */

    /**
     * Class:   JbcMetallicPushButton_ActionAdapter <br>
     * Adapter: ActionAdapter <br>
     * Interface: java.awt.event.ActionListener <br>
     * Note  : This event occurs when a component-defined action has
     *         been invoked.  <br>
     */
    protected class JbcMetallicPushButton_ActionAdapter implements java.awt.event.ActionListener
       {
        /**
         * Method: actionPerformed <br>
         * Note  : This method is called when an action occurs.  <br>
         * @param java.awt.event.ActionEvent evt
         * @return void
         * @see #JbcMetallicPushButton_action_actionPerformed
         */
        public void actionPerformed(java.awt.event.ActionEvent evt)
           {
            JbcMetallicPushButton_action_actionPerformed(evt);
           } /* End of Method: actionPerformed */

       } /* End of Class: JbcMetallicPushButton_ActionAdapter */

    /**
     * Method: getImageIcon <br>
     * @param java.lang.String (imagePath)
     * @return javax.swing.ImageIcon
     */
    protected javax.swing.ImageIcon getImageIcon(java.lang.String imagePath)
       {
        java.net.URL url = java.lang.ClassLoader.getSystemResource(imagePath);
        if (url == null)
           {
            try
               {
                url = new java.net.URL(imagePath);
               } /* End try */
            catch (java.lang.Throwable exc)
               {
                generalHandleException(exc);
                return null;
               } /* End catch */
           } /* End if */
        return new javax.swing.ImageIcon(url);
       } /* End of Method: getImageIcon */

    /**
     * Method: generalHandleException <br>
     * {@link SampleMetallicPushButton#generalHandleException
     * This primitive method is overloaded by the "SampleMetallicPushButton.java" source code.} <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       { /* This primitive method is overloaded by the "SampleMetallicPushButton.java" source code. */
       } /* End of Method: generalHandleException */

   } /* End of Class: SampleMetallicPushButton_Abstract   */


