
/**
 * SampleStringSpinButton_Abstract.java
 */

/**
 * Class:   abstract SampleStringSpinButton_Abstract
 */
abstract class SampleStringSpinButton_Abstract extends javax.swing.JFrame
   {
    /* Variables declaration - Frame */
    private javax.swing.JFrame _Frame;
    private javax.swing.JPanel _Panel;
    private jbc.beans.JbcStringSpinButton _JbcStringSpinButton;
    private javax.swing.JLabel _Label;
    /* End of variables declaration - Frame */

    /**
     * Method: Constructor <br>
     * @param None
     * @return Instance of SampleStringSpinButton_Abstract
     */
    protected SampleStringSpinButton_Abstract()
       {
        super();
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: Constructor <br>
     * @param GraphicsConfiguration gc
     * @return Instance of SampleStringSpinButton_Abstract
     */
    protected SampleStringSpinButton_Abstract(java.awt.GraphicsConfiguration gc)
       {
        super(gc);
        _Frame = init_Frame(this);
       } /* End of Method: Constructor */

    /**
     * Method: get_Frame <br>
     * Note  : This method is implemented for compatibility between
     *         the main component and the other components. <br>
     * @param None
     * @return Instance of javax.swing.JFrame
     */
    protected javax.swing.JFrame get_Frame()
       {
        return this;
       } /* End of Method: get_Frame */

    /**
     * Method: init_Frame <br>
     * @param Instance of javax.swing.JFrame
     * @return javax.swing.JFrame
     */
    protected javax.swing.JFrame init_Frame(javax.swing.JFrame self)
       {
        /* sets Bounds */
        self.setBounds(100,100,250,180);
        /* Bean Properties */
        self.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
        self.setName("Frame");
        self.setTitle("Frame");
        /* Adds Child */
        self.getContentPane().add(get_Panel(),java.awt.BorderLayout.CENTER);
        return self;
       } /* End of Method: init_Frame */

    /**
     * Method: get_Panel <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel get_Panel()
       {
        if (_Panel == null)
           {
            _Panel = Panel_CreateInstance();
            init_Panel(_Panel);
           } /* End if */
        return _Panel;
       } /* End of Method: get_Panel */

    /**
     * Method: init_Panel <br>
     * @param Instance of javax.swing.JPanel
     * @return javax.swing.JPanel
     */
    protected javax.swing.JPanel init_Panel(javax.swing.JPanel self)
       {
        /* Bean Properties */
        self.setName("Panel");
        /* set Layout */
        self.setLayout(null);
        /* Adds Children */
        self.add(get_JbcStringSpinButton());
        self.add(get_Label());
        return self;
       } /* End of Method: init_Panel */

    /**
     * Method: Panel_CreateInstance <br>
     * @param None
     * @return Instance of javax.swing.JPanel
     */
    protected javax.swing.JPanel Panel_CreateInstance()
       {
        return new javax.swing.JPanel();
       } /* End of Method: Panel_CreateInstance */

    /**
     * Method: get_JbcStringSpinButton <br>
     * @param None
     * @return Instance of jbc.beans.JbcStringSpinButton
     */
    protected jbc.beans.JbcStringSpinButton get_JbcStringSpinButton()
       {
        if (_JbcStringSpinButton == null)
           {
            _JbcStringSpinButton = JbcStringSpinButton_CreateInstance();
            init_JbcStringSpinButton(_JbcStringSpinButton);
           } /* End if */
        return _JbcStringSpinButton;
       } /* End of Method: get_JbcStringSpinButton */

    /**
     * Method: init_JbcStringSpinButton <br>
     * @param Instance of jbc.beans.JbcStringSpinButton
     * @return jbc.beans.JbcStringSpinButton
     */
    protected jbc.beans.JbcStringSpinButton init_JbcStringSpinButton(jbc.beans.JbcStringSpinButton self)
       {
        /* sets Bounds */
        self.setBounds(29,30,180,21);
        self.setPreferredSize(new java.awt.Dimension(180,21));
        /* Bean Properties */
        self.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        self.setName("JbcStringSpinButton");
        self.setWrapped(true);
        /* Adds Listener(s) */
        self.addChangeListener(new JbcStringSpinButton_ChangeAdapter());
        return self;
       } /* End of Method: init_JbcStringSpinButton */

    /**
     * Method: JbcStringSpinButton_CreateInstance <br>
     * @param None
     * @return Instance of jbc.beans.JbcStringSpinButton
     */
    protected jbc.beans.JbcStringSpinButton JbcStringSpinButton_CreateInstance()
       {
        return new jbc.beans.JbcStringSpinButton();
       } /* End of Method: JbcStringSpinButton_CreateInstance */

    /**
     * Method: JbcStringSpinButton_change_stateChanged <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This method is called when the target of the listener
     *         has changed its state.  <br>
     * {@link SampleStringSpinButton#JbcStringSpinButton_change_stateChanged
     * This abstract method is overloaded by the "SampleStringSpinButton.java" source code.} <br>
     * @param javax.swing.event.ChangeEvent evt
     * @return void
     * @see SampleStringSpinButton#JbcStringSpinButton_change_stateChanged
     * @see SampleStringSpinButton_Abstract.JbcStringSpinButton_ChangeAdapter
     */
    protected abstract void JbcStringSpinButton_change_stateChanged(javax.swing.event.ChangeEvent evt);
    /* This abstract method is overloaded by the "SampleStringSpinButton.java" source code. */

    /**
     * Class:   JbcStringSpinButton_ChangeAdapter <br>
     * Adapter: ChangeAdapter <br>
     * Interface: javax.swing.event.ChangeListener <br>
     * Note  : This event occurs when state has changed in the event
     *         source.  <br>
     */
    protected class JbcStringSpinButton_ChangeAdapter implements javax.swing.event.ChangeListener
       {
        /**
         * Method: stateChanged <br>
         * Note  : This method is called when the target of the listener
         *         has changed its state.  <br>
         * @param javax.swing.event.ChangeEvent evt
         * @return void
         * @see #JbcStringSpinButton_change_stateChanged
         */
        public void stateChanged(javax.swing.event.ChangeEvent evt)
           {
            JbcStringSpinButton_change_stateChanged(evt);
           } /* End of Method: stateChanged */

       } /* End of Class: JbcStringSpinButton_ChangeAdapter */

    /**
     * Method: get_Label <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel get_Label()
       {
        if (_Label == null)
           {
            _Label = Label_CreateInstance();
            init_Label(_Label);
           } /* End if */
        return _Label;
       } /* End of Method: get_Label */

    /**
     * Method: init_Label <br>
     * @param Instance of javax.swing.JLabel
     * @return javax.swing.JLabel
     */
    protected javax.swing.JLabel init_Label(javax.swing.JLabel self)
       {
        /* sets Bounds */
        self.setBounds(3,122,233,22);
        self.setPreferredSize(new java.awt.Dimension(233,22));
        /* Bean Properties */
        self.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        self.setName("Label");
        self.setText("");
        return self;
       } /* End of Method: init_Label */

    /**
     * Method: Label_CreateInstance <br>
     * @param None
     * @return Instance of javax.swing.JLabel
     */
    protected javax.swing.JLabel Label_CreateInstance()
       {
        return new javax.swing.JLabel();
       } /* End of Method: Label_CreateInstance */

    /**
     * Method: getImageIcon <br>
     * @param java.lang.String (imagePath)
     * @return javax.swing.ImageIcon
     */
    protected javax.swing.ImageIcon getImageIcon(java.lang.String imagePath)
       {
        java.net.URL url = java.lang.ClassLoader.getSystemResource(imagePath);
        if (url == null)
           {
            try
               {
                url = new java.net.URL(imagePath);
               } /* End try */
            catch (java.lang.Throwable exc)
               {
                generalHandleException(exc);
                return null;
               } /* End catch */
           } /* End if */
        return new javax.swing.ImageIcon(url);
       } /* End of Method: getImageIcon */

    /**
     * Method: generalHandleException <br>
     * {@link SampleStringSpinButton#generalHandleException
     * This primitive method is overloaded by the "SampleStringSpinButton.java" source code.} <br>
     * @param java.lang.Throwable exception
     * @return void
     */
    protected void generalHandleException(java.lang.Throwable exc)
       { /* This primitive method is overloaded by the "SampleStringSpinButton.java" source code. */
       } /* End of Method: generalHandleException */

   } /* End of Class: SampleStringSpinButton_Abstract   */


